apiVersion: v1
data:
  .dockerconfigjson: ewoJImF1dGhzIjogewoJCSJkb2NrZXIuYWRhb25jbG91ZC5jb20iOiB7CgkJCSJhdXRoIjogIlpHOWphMlZ5ZFhObGNqcGxOMEV4WkRsaVJtVTAiCgkJfQoJfQp9
kind: Secret
metadata:
  name: ada-registry
  namespace: istio-ingress
type: kubernetes.io/dockerconfigjson
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: ada-cert-manager-role
  namespace: istio-ingress
rules:
- apiGroups: [""]
  resources: ["secrets"]
  verbs: ["get", "watch", "list", "update", "patch"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: ada-cert-manager-role-bd
  namespace: istio-ingress
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: ada-cert-manager-role
subjects:
- kind: ServiceAccount
  name: default